## inetutils 1.8

=== debian/changelog ===
inetutils (2:1.8-3) unstable; urgency=low

  * Revert wrong hunk from the tcpmux services fix.
    Thanks to Mats Erik Andersson.
  * Fix IPv6 support in inetd and telnetd on GNU/kFreeBSD by passing
    the correct struct sockaddr length to socket functions depending on
    the address family, instead of always passing the size of struct
    sockaddr_storage. Thanks to Mats Erik Andersson and Simon Josefsson.

 -- Guillem Jover <guillem@debian.org>  Thu, 18 Nov 2010 05:54:25 +0100

inetutils (2:1.8-2) experimental; urgency=low

  * Fix FTBFS on GNU/Hurd and GNU/kFreeBSD systems. (Closes: #596638)
    - Use IFF_ flags conditionally.
    - Do not include <stropts.h> to get ioctl declaration as we get it from
      the wrapped <sys/ioctl.h>, otherwise we get conflicting symbols.
    - Include <sys/types.h> in ifconfig/flags.h for size_t.

 -- Guillem Jover <guillem@debian.org>  Wed, 22 Sep 2010 06:43:52 +0200

inetutils (2:1.8-1) experimental; urgency=low

  * New upstream release.
    - Implement “ping -w timeout”. (Closes: #565137)
    - debian/patches/01_no_link_extralibs.patch: Remove, merged upstream.
    - debian/patches/07_dev_test_e.patch: Likewise.
    - debian/patches/52_sigalarm.patch: Likewise.
    - debian/patches/99_acinclude_del_dnl.patch: Likewise.
    - debian/patches/99_ping_default_inf_count.patch: Likewise.
    - debian/patches/10_syslog_klog_doc.patch: Refreshed.
    - debian/patches/22_syslogd_conf.patch: Likewise.
    - debian/patches/30_ping_suid_perms.patch: Likewise.
    - debian/patches/50_split_load_conffile.patch: Likewise.
    - debian/patches/51_add_load_confdir_support.patch: Likewise.
    - debian/patches/53_man_inetd_max_conn.patch: Likewise.
  * Upstream switched to generate man pages from --help output, which is
    a regression from previous man pages inherited from BSD. Revert the
    removal and disable help2man logic.
    - debian/patches/01_revert_manpage_removal.patch: New file.
  * Install man pages for inetutils-ifconfig and ping6.
  * Fix man page warnings.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded quilt references in debian/README.source.
  * Remove Marcus Brinkmann and Jeff Bailey from Uploaders field, thanks for
    your previous work! (Closes: #503567)
  * Switch Vcs fields to the new git repositories.
  * Explicitly include BSD licenses into debian/copyright, instead of
    referencing generic and non-matching file from common-licenses.
  * Now using Standards-Version 3.9.1.
  * Remove obsolete and unused libopie-dev Build-Depends.
  * Do not segfault in inetd when a service does not have any argument.
    (Closes: #515070, #590128)
  * Make inetd listen on ports when enabling tcpmux services.
  * Change inetd “tcp” and “udp” service protocol semantics to default them
    to IPv4 only connections. Change “tcp6” and “udp6” to accept IPv4 mapped
    addresses. And add “tcp6only” and “udp6only” for IPv6 only connections.
    (Closes: #404760, #519316, #594422)

 -- Guillem Jover <guillem@debian.org>  Sun, 12 Sep 2010 16:00:53 +0200

inetutils (2:1.6-3) unstable; urgency=low

  * Fix init script dependency information: (Closes: #547513)
    - Provide a unique service name.
    - Require $remote_fs instead of $local_fs, as we use stuff from /usr.
    Thanks to Petter Reinholdtsen <pere@hungry.com>.
  * Move libreadline-dev to be the first Build-Depends alternative, and add
    libreadline6-dev for compatibility purposes.

 -- Guillem Jover <guillem@debian.org>  Mon, 05 Oct 2009 12:27:34 +0200

inetutils (2:1.6-2) unstable; urgency=low

  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Add support for LSB status action on init scripts.
  * Use a variable instead of hardcoding the pid file path in inetutils-inetd
    init script.
  * Restore the traditional behavior of ping without -c option.
    Stolen from upstream. (Closes: #524011)
  * Fix build failure due to an m4 comment eating a new line.
    Stolen from upstream. (Closes: #541775)

 -- Guillem Jover <guillem@debian.org>  Tue, 18 Aug 2009 05:51:23 +0200

inetutils (2:1.6-1) unstable; urgency=low

  * New upstream release.
    - The documentation is free now, add texinfo back to Build-Depends.
    - The non-free RFC got removed upstream.
    - debian/patches/00_build_dfsg.patch: Remove.
    - debian/tarball.sh: No need to strip documentation anymore.
    - debian/patches/02_missing_config.rpath.patch: Remove, fixed upstream.
    - debian/patches/03_ifreq_typo.patch: Likewise.
    - debian/patches/04_shishi_telnet.patch: Likewise.
    - debian/patches/05_shishi_delayed_init.patch: Likewise.
    - debian/patches/40_ftpd_LOGCMD_NULL.patch: Likewise.
    - debian/patches/41_gethostbyname_segfault.patch: Likewise.
    - debian/patches/42_syslogd_leaks.patch: Likewise.
    - debian/patches/43_ret_converted_to_int.patch: Likewise.
    - debian/patches/50_split_load_conffile.patch: Refresh.
    - debian/patches/51_add_load_confdir_support.patch: Likewise.
    - debian/patches/52_sigalarm.patch: Likewise.
    - debian/patches/99_inetd_max_conn.patch: Refresh, and rename to ...
    - debian/patches/53_man_inetd_max_conn.patch: ... this.
  * Update debian/copyright file:
    - Update download URL.
    - Reword debianized by comment, and update Marcus' mail address.
    - Remove references to old copyright holders, now being held by the FSF.
    - Change references from GPL-2 to GPL-3.
    - Remove comments about no longer stripped out non-free documentation.
    - Add reference to GFDL-1.2.
  * Update debian/tarball.sh:
    - Use git instead of CVS to get new snapshots.
    - Use lower case variable names.
    - Make snapshot argument handle both cloning and updating.
    - Add a new tarball argument.
    - Add code to bootstrap from gnulib.

