=== debian/control ===
Source: inetutils
Section: net
Priority: extra
Maintainer: Guillem Jover <guillem@debian.org>
Standards-Version: 3.9.1
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/inetutils.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/inetutils.git
Homepage: http://www.gnu.org/software/inetutils/
Build-Depends: debhelper (>= 7), autoconf, automake, texinfo,
 bison, libreadline-dev | libreadline6-dev | libreadline5-dev, libpam0g-dev,
 libwrap0-dev, libshishi-dev
Build-Conflicts: autoconf2.13, automake1.4

Package: inetutils-ftp
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Description: File Transfer Protocol client
 The ftp command is used to transfer files between hosts using the
 FTP protocol.

Package: inetutils-ftpd
Priority: extra
Architecture: any
Provides: ftp-server
Conflicts: ftp-server
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase,
 inetutils-syslogd | system-log-daemon
Description: File Transfer Protocol server
 Ftpd is the server that allows another host to connect with the ftp
 command to transfer files using the FTP protocol.

Package: inetutils-inetd
Priority: extra
Architecture: any
Provides: inet-superserver, netkit-inetd
Conflicts: inet-superserver, netkit-inetd
Depends: ${shlibs:Depends}, ${misc:Depends}, update-inetd, tcpd, lsb-base,
 inetutils-syslogd | system-log-daemon
Description: internet super server
 Inetd is the daemon that listens on various TCP and UDP ports and spawns
 programs that can't or won't do it for themselves.

Package: inetutils-ping
Priority: extra
Architecture: any
Provides: ping
Conflicts: ping, hurd (<= 20010718-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Description: ICMP echo tool
 Ping uses ICMP to send out echo requests, and uses the reply packets to
 calculate latency between the sending and the destination hosts.

Package: inetutils-syslogd
Section: net
Priority: extra
Architecture: any
Provides: system-log-daemon, ${syslogd:Provides}
Conflicts: system-log-daemon, ${syslogd:Provides}
Replaces: syslogd
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, lsb-base
Description: system logging daemon
 The syslog daemon is responsible for providing logging of messages
 received from programs and facilities on the local host as well as
 from remote hosts.

Package: inetutils-talk
Priority: extra
Architecture: any
Provides: talk
Replaces: talk-hurd
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Description: talk to another user
 Talk is a visual communication program which copies lines from your terminal
 to that of another user.

Package: inetutils-talkd
Priority: extra
Architecture: any
Provides: talkd
Conflicts: talkd
Replaces: talkd-hurd
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase,
 inetutils-syslogd | system-log-daemon, inetutils-inetd | inet-superserver
Description: remote user communication server
 Talkd is the server that notifies a user that someone else wants to initiate
 a conversation. It acts a repository of invitations, responding to requests
 by clients wishing to rendezvous to hold a conversation.

Package: inetutils-telnet
Priority: extra
Architecture: any
Provides: telnet-client
Replaces: telnet-hurd
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Description: telnet client
 The telnet command is used for interactive communication with another host
 using the TELNET protocol.

Package: inetutils-telnetd
Priority: extra
Architecture: any
Provides: telnet-server
Conflicts: telnet-server
Replaces: telnetd-hurd
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase,
 inetutils-syslogd | system-log-daemon, inetutils-inetd | inet-superserver
Description: telnet server
 The in.telnetd program is a server which supports the DARPA telnet
 interactive communication protocol.

Package: inetutils-tools
Priority: extra
Architecture: any
Provides: ${tools:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: base networking utilities (experimental package)
 Base utilities for network administration (ifconfig, etc).
 .
 WARNING: The current ifconfig implementation provided is not fully
 compatible with the net-tool's ifconfig version.
