## inetutils 1.9

=== debian/changelog ===
inetutils (2:1.9-2) unstable; urgency=medium

  * Fix DoS against inetutils-ping via a crafted echo response.
    Patch cherry-picked from upstream. CVE-2010-2529

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Feb 2013 03:35:08 +0100

inetutils (2:1.9-1) unstable; urgency=low

  * New upstream release.
    - Implement “syslogd -b bindaddr”. (Closes: #207054)
    - Implement “ping -W linger”. (Closes: #566845)
    - debian/patches/99_CVE-2011-4862.patch: Remove, merged upstream.
    - debian/patches/02_remove_unused_opie_check.patch: Likewise.
    - debian/patches/60_inetd_support_argless_services.patch: Likewise.
    - debian/patches/61_inetd_listen_on_tcpmux_ports.patch: Likewise.
    - debian/patches/63_inetd_ipv6_sockaddrlen.patch: Likewise.
    - debian/patches/64_telnetd_ipv6_sockaddrlen.patch: Likewise.
    - debian/patches/72_traceroute_fix_setsockopt.patch: Likewise.
    - debian/patches/01_disable_useless_man_pages.patch: Refreshed.
    - debian/patches/03_reduce_shared_lib_depends.patch: Likewise.
    - debian/patches/22_syslogd_conf.patch: Likewise.
    - debian/patches/50_split_load_conffile.patch: Likewise.
    - debian/patches/51_add_load_confdir_support.patch: Likewise.
    - debian/patches/62_inetd_change_ipv6_protocol_semantics.patch: Likewise.
    - debian/patches/70_ftbfs_non-linux.patch: Likewise.
  * Pass “-Im4 -Iam” to autoreconf call in debian/rules.
  * Use dpkg-buildflags to set build flags (enables default hardening flags).
    Fix code to not fail on -Wformat-security. (Closes: #653436)
  * Improve inetutils-inetd package Description. (Closes: #348915)
  * Improve inetutils-ping package Description. (Closes: #524026)

 -- Guillem Jover <guillem@debian.org>  Sun, 01 Jan 2012 06:35:22 +0100

inetutils (2:1.8-6) unstable; urgency=high

  * Fix buffer overflow in telnetd allowing remote attackers to execute
    arbitrary code via a long encryption key. Patch taken from FreeBSD.
    CVE-2011-4862
  * Abort on error from ping's sendto(2) call, instead of trying to continue
    sending echo packets in vain. (Closes: #323165)

 -- Guillem Jover <guillem@debian.org>  Wed, 28 Dec 2011 02:53:53 +0100

inetutils (2:1.8-5) unstable; urgency=low

  * Move man pages from patches to actual files under debian/local/man/ to
    ease their modification, given that upstream has rejected including
    useful man pages there.
  * Add a new inetutils-traceroute package providing a portable traceroute
    implementation for GNU/Hurd and GNU/kFreeBSD. (Closes: #610437)
    Thanks to Mats Erik Andersson <mats.andersson@gisladisker.se>.
  * Do not link against unused shared libraries. This removes the following
    dependencies from binaries:
    - inetutils-inetd, inetutils-syslogd → libshishi0
    - inetutils-telnet, inetutils-telnetd → libncurses5
    - inetutils-ftp → libncurses5, libtinfo5
  * Disable silent rules to get useful build logs.

 -- Guillem Jover <guillem@debian.org>  Sat, 05 Nov 2011 05:10:10 +0100

inetutils (2:1.8-4) unstable; urgency=low

  * Add new inetutils-inetd default configuration file for the init script,
    allowing to pass INETD_OPTS to it on start. (Closes: #606954)
  * Use dh_lintian instead of manually installing the overrides.
  * Override upstream SUIDMODE at make time, instead of patching the source.
  * Do not change inetutils-syslogd Section to base on non-Linux architectures
    as that section does not exist any longer, just inherit it from the
    source stanza.
  * Add build-indep and build-arch targets (rename build to build-arch).
  * Add libncurses-dev to Build-Depends, although only libtinfo-dev is
    really needed (but that does not ship term.h). (Closes: #646143)
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 30 Oct 2011 07:52:19 +0100
