=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: net
 Priority: extra
 Maintainer: Guillem Jover <guillem@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/inetutils.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/inetutils.git
 Homepage: http://www.gnu.org/software/inetutils/
-Build-Depends: debhelper (>= 7), autoconf, automake, texinfo,
- bison, libreadline-dev | libreadline6-dev | libreadline5-dev, libpam0g-dev,
- libwrap0-dev, libshishi-dev
+Build-Depends: debhelper (>= 7), autoconf, automake, bison, texinfo,
+ libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses-dev,
+ libpam0g-dev, libwrap0-dev, libshishi-dev
 Build-Conflicts: autoconf2.13, automake1.4
 
 Package: inetutils-ftp
@@ -40,6 +40,9 @@
 Description: internet super server
  Inetd is the daemon that listens on various TCP and UDP ports and spawns
  programs that can't or won't do it for themselves.
+ .
+ This is the portable GNU implementation of inetd. The package supports
+ IPv6, tcpmux services and unlimited server arguments.
 
 Package: inetutils-ping
 Priority: extra
@@ -50,9 +53,22 @@
 Description: ICMP echo tool
  Ping uses ICMP to send out echo requests, and uses the reply packets to
  calculate latency between the sending and the destination hosts.
+ .
+ This is the portable GNU implementation of ping.
+
+Package: inetutils-traceroute
+Priority: extra
+Architecture: any
+Provides: traceroute
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: trace the IPv4 route to another host
+ The traceroute utility displays the route taken by IP packets on their
+ way to another host or another network.
+ .
+ Install this package if you need a tool to examine network connectivity
+ or to diagnose network problems.
 
 Package: inetutils-syslogd
-Section: net
 Priority: extra
 Architecture: any
 Provides: system-log-daemon, ${syslogd:Provides}
