=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// \
http://ftp.gnu.org/gnu/inetutils/ inetutils-([\d.]*).tar.gz debian uupdate
