## inetutils 1.9.1.306-0a482

=== debian/changelog ===
inetutils (2:1.9.1.306-0a482-1) unstable; urgency=high

  * New upstream snapshot.
    - Fix security issue, by enforcing again ‘/etc/ftpusers’ access checks in
      ftpd. Regression introduced in 2:1.9.1.282-e8541-1.
      Thanks to Mats Erik Andersson <gnu@gisladisker.se> for reporting.
    - debian/patches/50_split_load_conffile.patch: Remove, merged upstream.
    - debian/patches/51_add_load_confdir_support.patch: Likewise.

 -- Guillem Jover <guillem@debian.org>  Thu, 20 Jun 2013 01:05:02 +0200

inetutils (2:1.9.1.282-e8541-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix FTBFS with newer glibc due to undefined gets. (Closes: #701399)
    - Do not accept invalid port numbers in telnet. (Closes: #300281)
    - Support <user>.<group> in inetd. (Closes: #342769)
    - debian/patches/0001-ping-CVE-2010-2529.patch: Remove, merged upstream.
    - debian/patches/03_reduce_shared_lib_depends.patch: Likewise.
    - debian/patches/30_ping-Abort-on-sendto-error.patch: Likewise.
    - debian/patches/70_ftbfs_non-linux.patch: Likewise.
    - debian/patches/71_ftbfs_format_security.patch: Likewise.
    - debian/patches/01_disable_useless_man_pages.patch: Refresh.
    - debian/patches/22_syslogd_conf.patch: Likewise.
    - debian/patches/50_split_load_conffile.patch: Likewise.
    - debian/patches/51_add_load_confdir_support.patch: Likewise.
    - debian/patches/62_inetd_change_ipv6_protocol_semantics.patch: Likewise.
  * Now using Standards-Version 3.9.4 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 11 May 2013 05:43:46 +0200
