## inetutils 1.9.2

=== debian/changelog ===
inetutils (2:1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Fix typos in local man pages.
  * Escape hyphens in local man pages.
  * Add tar.xz as an alternative upstream extension in the watch file.
  * Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig
    from autotools-dev to update the config.sub and config.guess files.

 -- Guillem Jover <guillem@debian.org>  Thu, 16 Jan 2014 20:23:19 +0100

inetutils (2:1.9.1.363-bbc1-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix update-inetd --remove syntax for talkd and telnetd, later versions
    of update-inetd do not support a regex matching the start of the line
    (including the comment).
  * Fix inetd entry for talkd. (Closes: #465987, #732633)
  * Use tcpd in inetd entries for talkd and telnetd. (Closes: #412891)
  * Now using Standards-Version 3.9.5 (no changes needed).
  * Switch to debhelper compatibility level 9.
  * Add signature checking support to debian/watch, and ship upstream signing
    keys in debian/upstream-signing-key.pgp.
  * Use xz for source Debian packaging.
  * Use «which» instead of hard-coding update-inetd pathnames.
  * Disable «set -e» in init scripts, just before the action case block.
  * Update debian/copyright information with new years and switch to GFDL-1.3.
  * Remove first packaging information from debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Dec 2013 05:42:05 +0100
