=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$//,pgpsigurlmangle=s/$/.sig/ \
http://ftp.gnu.org/gnu/inetutils/ inetutils-([\d.]*).tar.(?:xz|gz) debian uupdate
