## inetutils 1.9.2.39.3a460

=== debian/changelog ===
inetutils (2:1.9.2.39.3a460-3) unstable; urgency=low

  * Do not bother setting different Priority field values on non-Linux ports
    anymore, as the Debian archive does not currently support overrides that
    differ per port anyway. This fixes a build failure due to dpkg-genchanges
    not liking the debian/files and debian/control files disagreeing.

 -- Guillem Jover <guillem@debian.org>  Tue, 28 Oct 2014 07:49:41 +0100

inetutils (2:1.9.2.39.3a460-2) unstable; urgency=medium

  * Fix typo in inetutils_priority variable name to avoid passing an empty
    value to dpkg-gencontrol, which makes it error out on non-Linux systems.
  * Switch debian/copyright to machine-readable format 1.0.
  * Switch URLs in docs and code comments from http:// to https:// if the
    latter is available.

 -- Guillem Jover <guillem@debian.org>  Tue, 28 Oct 2014 04:15:59 +0100

inetutils (2:1.9.2.39.3a460-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix invalid priority values in syslogd. CVE-2014-3634
  * Switch from «debian/upstream-signing-key.pgp» to
    «debian/upstream/signing-key.asc», and export it using pgp-clean
    (signing-party) to get rid of useless bloat.
  * Do not set source compression to xz, it's now the default.
  * Improve debian/tarball.sh to handle latest snapshots.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Add template man pages from help2man:
    - local/man/ifconfig.1
    - local/man/ping6.1
    - local/man/traceroute.1

 -- Guillem Jover <guillem@debian.org>  Sat, 25 Oct 2014 22:50:03 +0200
