=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Guillem Jover <guillem@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/inetutils.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/inetutils.git
-Homepage: http://www.gnu.org/software/inetutils/
+Homepage: https://www.gnu.org/software/inetutils/
 Build-Depends: debhelper (>= 9),
  autotools-dev, autoconf, automake, bison, texinfo,
  libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses-dev,
@@ -13,7 +13,6 @@
 Build-Conflicts: autoconf2.13, automake1.4
 
 Package: inetutils-ftp
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
 Description: File Transfer Protocol client
@@ -21,7 +20,6 @@
  FTP protocol.
 
 Package: inetutils-ftpd
-Priority: extra
 Architecture: any
 Provides: ftp-server
 Conflicts: ftp-server
@@ -32,7 +30,6 @@
  command to transfer files using the FTP protocol.
 
 Package: inetutils-inetd
-Priority: extra
 Architecture: any
 Provides: inet-superserver, netkit-inetd
 Conflicts: inet-superserver, netkit-inetd
@@ -46,7 +43,6 @@
  IPv6, tcpmux services and unlimited server arguments.
 
 Package: inetutils-ping
-Priority: extra
 Architecture: any
 Provides: ping
 Conflicts: ping, hurd (<= 20010718-1)
@@ -58,7 +54,6 @@
  This is the portable GNU implementation of ping.
 
 Package: inetutils-traceroute
-Priority: extra
 Architecture: any
 Provides: traceroute
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
@@ -70,7 +65,6 @@
  or to diagnose network problems.
 
 Package: inetutils-syslogd
-Priority: extra
 Architecture: any
 Provides: system-log-daemon, ${syslogd:Provides}
 Conflicts: system-log-daemon, ${syslogd:Provides}
@@ -82,7 +76,6 @@
  from remote hosts.
 
 Package: inetutils-talk
-Priority: extra
 Architecture: any
 Provides: talk
 Replaces: talk-hurd
@@ -92,7 +85,6 @@
  to that of another user.
 
 Package: inetutils-talkd
-Priority: extra
 Architecture: any
 Provides: talkd
 Conflicts: talkd
@@ -105,7 +97,6 @@
  by clients wishing to rendezvous to hold a conversation.
 
 Package: inetutils-telnet
-Priority: extra
 Architecture: any
 Provides: telnet-client
 Replaces: telnet-hurd
@@ -115,7 +106,6 @@
  using the TELNET protocol.
 
 Package: inetutils-telnetd
-Priority: extra
 Architecture: any
 Provides: telnet-server
 Conflicts: telnet-server
@@ -127,7 +117,6 @@
  interactive communication protocol.
 
 Package: inetutils-tools
-Priority: extra
 Architecture: any
 Provides: ${tools:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}
