## inetutils 1.9.4

=== debian/changelog ===
inetutils (2:1.9.4-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:52:59 +0000

inetutils (2:1.9.4-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01_disable_useless_man_pages.patch: Refreshed.
    - debian/patches/fts_alignment.patch: Remove, merged upstream.
    - debian/patches/ping_linebuff.patch: Likewise.
  * Add netbase to Build-Depends, used by the test suite.
    Suggested by Mats Erik Andersson <mats.andersson@gisladisker.se>.

 -- Guillem Jover <guillem@debian.org>  Thu, 11 Jun 2015 05:40:05 +0200

inetutils (2:1.9.3-2) unstable; urgency=medium

  * Pass VERBOSE=1 to «make check» call, to get testsuite details on failure.
  * Fix misaligned memory access for stat struct in lstat() call. Fixes a
    build failure on sparc.
  * Build-Depend on net-tools for netstat, used by the test suite.
  * Review and update of obsolete man pages. Addresses: #609934, covering:
    - local/man/ftp.1
    - local/man/inetd.8
    - local/man/netrc.5
    - local/man/ping6.1
    - local/man/talk.1
    - local/man/trceroute.1
  * Drop ancient hurd Conflicts from inetutils-ping.
  * Add LSB Description fields to inetd and syslogd init scripts.

 -- Guillem Jover <guillem@debian.org>  Tue, 26 May 2015 16:57:46 +0200

inetutils (2:1.9.3-1) unstable; urgency=low

  * New upstream release.
    - Fix telnetd to handle all TIOCPKT control bytes. Closes: #779399
    - Fix telnetd to allow autologin without authentication. Closes: #780884
    - Fix ftp to allow alias names in netrc file. Closes: #780885
  * Switch Vcs-Browser to a cgit URL.
  * Fix build-arch target to not depend on debian/control, a leftover from
    when debian/control was generated at release time.
  * Pass build flags through configure with a single dpkg-buildflags call,
    instead of on each make invocation.
  * Run the testsuite during the build-arch target, and honor nocheck.
  * Add slave alternatives for pftp, pftp.1.gz and netrc.5.gz in
    inetutils-ftp. Closes: #781061
  * Split inetutils-netrc.5 man page out from inetutils-ftp.1.
  * Set man pages .TH source and .Os to "GNU inetutils".
  * Set delaycompress for all syslogd logrotate files. Closes: #777661
  * Always force ping and ping6 line buffering on stdout, so that programs
    parsing their output have more timely responses. Closes: #782727

 -- Guillem Jover <guillem@debian.org>  Wed, 13 May 2015 02:32:03 +0200
