=== debian/control ===
--- 
+++ 
@@ -3,13 +3,19 @@
 Priority: extra
 Maintainer: Guillem Jover <guillem@debian.org>
 Standards-Version: 3.9.6
-Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/inetutils.git
+Vcs-Browser: http://git.hadrons.org/cgit/debian/pkgs/inetutils.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/inetutils.git
 Homepage: https://www.gnu.org/software/inetutils/
 Build-Depends: debhelper (>= 9),
+# Used by the test suite:
+#  /etc/protocols and /etc/services
+ netbase,
+#  netstat(1)
+ net-tools,
+# Used by the build system:
  autotools-dev, autoconf, automake, bison, texinfo,
  libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses-dev,
- libpam0g-dev, libwrap0-dev, libshishi-dev
+ libpam0g-dev, libwrap0-dev, libshishi-dev,
 Build-Conflicts: autoconf2.13, automake1.4
 
 Package: inetutils-ftp
@@ -45,7 +51,7 @@
 Package: inetutils-ping
 Architecture: any
 Provides: ping
-Conflicts: ping, hurd (<= 20010718-1)
+Conflicts: ping
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
 Description: ICMP echo tool
  Ping uses ICMP to send out echo requests, and uses the reply packets to
