=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,7 @@
   conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS = -Wall $(shell dpkg-buildflags --get CFLAGS)
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+DEB_CFLAGS_PREPEND = -Wall
 
 # Override default upstream setuid mode, as they rejected this change.
 SUIDMODE="-o root -m 4755"
@@ -29,6 +27,7 @@
 M = $(CURDIR)/debian/local/man
 mandir = usr/share/man
 man1dir = $(mandir)/man1
+man5dir = $(mandir)/man5
 man8dir = $(mandir)/man8
 
 configure: configure.ac
@@ -41,6 +40,7 @@
 	dh_autotools-dev_updateconfig
 	
 	./configure \
+	  $(shell dpkg-buildflags --export=configure) \
 	  $(conf_gnu_type) \
 	  --disable-silent-rules \
 	  --prefix=/usr \
@@ -55,31 +55,18 @@
 
 build-indep:
 
-build-arch: debian/control config.status
+build-arch: build-arch-stamp
+build-arch-stamp: config.status
 	dh_testdir
 	
-	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE)
+else
+	$(MAKE) VERBOSE=1 check
+endif
+	touch $@
 
 build: build-indep build-arch
-
-# We need it forced on all builds.
-.PHONY: debian/control
-
-debian/control: debian/control.in
-	# Set proper Priority and Section
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	sed \
-	  -e 's/@inetutils:Priority@/extra/g' \
-	  -e 's/@syslogd:Priority@/extra/g' \
-	< debian/control.in \
-	> debian/control
-else
-	sed \
-	  -e 's/@inetutils:Priority@/standard/g' \
-	  -e 's/@syslogd:Priority@/required/g' \
-	< debian/control.in \
-	> debian/control
-endif
 
 clean:
 	dh_testdir
@@ -90,6 +77,8 @@
 	# Cleanup the mess after having run autoreconf ...
 	find -name Makefile.in | xargs rm -f
 	rm -f aclocal.m4 config.hin configure
+	
+	rm -f build-arch-stamp
 	
 	dh_autotools-dev_restoreconfig
 	dh_clean
@@ -104,6 +93,7 @@
 	
 	# Create man page directories
 	mkdir -p $(D)/$(man1dir)
+	mkdir -p $(D)/$(man5dir)
 	mkdir -p $(D)/$(man8dir)
 	
 	# Move ping to /bin
@@ -112,7 +102,7 @@
 	
 	# Rename ifconfig to not break existing systems using net-tools
 	mv $(D)/usr/bin/ifconfig $(D)/usr/bin/inetutils-ifconfig
-	cp man/ifconfig.1 $(D)/usr/share/man/man1/inetutils-ifconfig.1
+	cp $(M)/ifconfig.1 $(D)/usr/share/man/man1/inetutils-ifconfig.1
 	
 	# Rename inetd to be able to coexist with not purged netkit-inetd
 	mv $(D)/usr/sbin/inetd $(D)/usr/sbin/inetutils-inetd
@@ -123,10 +113,11 @@
 	cp $(M)/telnet.1 $(D)/$(man1dir)/inetutils-telnet.1
 	mv $(D)/usr/bin/ftp $(D)/usr/bin/inetutils-ftp
 	cp $(M)/ftp.1 $(D)/$(man1dir)/inetutils-ftp.1
+	cp $(M)/netrc.5 $(D)/$(man5dir)/inetutils-netrc.5
 	mv $(D)/usr/bin/talk $(D)/usr/bin/inetutils-talk
 	cp $(M)/talk.1 $(D)/$(man1dir)/inetutils-talk.1
 	mv $(D)/usr/bin/traceroute $(D)/usr/bin/inetutils-traceroute
-	cp man/traceroute.1 $(D)/$(man1dir)/inetutils-traceroute.1
+	cp $(M)/traceroute.1 $(D)/$(man1dir)/inetutils-traceroute.1
 
 binary-indep:
 # Nothing to do.
@@ -159,8 +150,9 @@
 	dh_fixperms -a -Xbin/ping -Xbin/ping6 -Xusr/bin/inetutils-traceroute
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a -- \
-	  -Vsyslogd:Provides="$(syslogd_provides)" \
+	dh_gencontrol -a -pinetutils-syslogd -- \
+	  -Vsyslogd:Provides="$(syslogd_provides)"
+	dh_gencontrol -a -Ninetutils-syslogd -- \
 	  -Vtools:Provides="$(tools_provides)"
 	dh_md5sums -a
 	dh_builddeb -a
